org.apache.cassandra.dht

## Class Murmur3Partitioner.LongToken

- java.lang.Object
- - org.apache.cassandra.dht.Token
  - - org.apache.cassandra.dht.Murmur3Partitioner.LongToken

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Token>, RingPosition<Token>
  Enclosing class:
    Murmur3Partitioner

      public static class Murmur3Partitioner.LongToken
      extends Token

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.dht.Token

      `Token.KeyBound, Token.TokenFactory, Token.TokenSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.dht.Token

      `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongToken(long token)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Token o)`
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getHeapSize()`
    `IPartitioner` | `getPartitioner()`
    `java.lang.Object` | `getTokenValue()`
    `int` | `hashCode()`
    `Token` | `increaseSlightly()` Returns a token that is slightly greater than this.
    `double` | `size(Token next)` Returns a measure for the token space covered between this token and next.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.dht.Token

      `getToken, isMinimum, maxKeyBound, minKeyBound, minValue, upperBound`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LongToken

          public LongToken(long token)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Token o)

    - #### getPartitioner

          public IPartitioner getPartitioner()

      Specified by:
        `getPartitioner` in interface `RingPosition<Token>`
      Specified by:
        `getPartitioner` in class `Token`

    - #### getHeapSize

          public long getHeapSize()

      Specified by:
        `getHeapSize` in class `Token`

    - #### getTokenValue

          public java.lang.Object getTokenValue()

      Specified by:
        `getTokenValue` in class `Token`

    - #### size

          public double size(Token next)

      Description copied from class: `Token`
      Returns a measure for the token space covered between this token and next. Used by the token allocation algorithm (see CASSANDRA-7032).
      Specified by:
        `size` in class `Token`

    - #### increaseSlightly

          public Token increaseSlightly()

      Description copied from class: `Token`
      Returns a token that is slightly greater than this. Used to avoid clashes between nodes in separate datacentres trying to use the same token via the token allocation algorithm.
      Specified by:
        `increaseSlightly` in class `Token`

Copyright © 2018 The Apache Software Foundation